scala.tools.nsc.Global

# inliner

#### object inliner extends Inliners

Source
  Global.scala

Linear Supertypes
Inliners, SubComponent, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. inliner
2. Inliners
3. SubComponent
4. AnyRef
5. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### class Inliner extends AnyRef

   Simple inliner.

   Simple inliner.

   Definition Classes
     Inliners

2. #### class InliningPhase extends Global.icodes.ICodePhase

   The Inlining phase.

   The Inlining phase.

   Definition Classes
     Inliners

3. #### abstract class StdPhase extends GlobalPhase

   A standard phase template

   A standard phase template

   Definition Classes
     SubComponent

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final val MAX_INLINE_RETRY: Int(15)

   Maximum loop iterations.

   Maximum loop iterations.

   Definition Classes
     Inliners

5. #### final val MAX_INLINE_SIZE: Int(16)

   The maximum size in basic blocks of methods considered for inlining.

   The maximum size in basic blocks of methods considered for inlining.

   Definition Classes
     Inliners

6. #### val SMALL_METHOD_SIZE: Int

   Small method size (in blocks)

   Small method size (in blocks)

   Definition Classes
     Inliners

7. #### final def afterOwnPhase[T](op: ⇒ T): T

   Definition Classes
     SubComponent
   Annotations
     @inline()

8. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

9. #### final def beforeOwnPhase[T](op: ⇒ T): T

   Definition Classes
     SubComponent
   Annotations
     @inline()

10. #### def clone(): AnyRef

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

11. #### val enabled: Boolean

    Is this component enabled? Default is true.

    Is this component enabled? Default is true.

    Definition Classes
      Inliners → SubComponent

12. #### final def eq(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

13. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

14. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

15. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

16. #### val global: Global.this.type

    The global environment; overridden by instantiation in Global.

    The global environment; overridden by instantiation in Global.

    Definition Classes
      inliner → SubComponent

17. #### def hasInline(sym: Global.Symbol): Boolean

    Definition Classes
      Inliners

18. #### def hasNoInline(sym: Global.Symbol): Boolean

    Definition Classes
      Inliners

19. #### def hashCode(): Int

    SubComponent are added to a HashSet and two phases are the same if they have the same name

    SubComponent are added to a HashSet and two phases are the same if they have the same name

    Definition Classes
      SubComponent → AnyRef → Any

20. #### val initial: Boolean

    True if this phase runs before all other phases.

    True if this phase runs before all other phases. Usually, `parser`.

    Definition Classes
      SubComponent

21. #### val internal: Boolean

    True if this phase is not provided by a plug-in.

    True if this phase is not provided by a plug-in.

    Definition Classes
      SubComponent

22. #### def isBottomType(sym: Global.Symbol): Boolean

    Definition Classes
      Inliners

23. #### def isClosureClass(cls: Global.Symbol): Boolean

    Is the given class a closure?

    Is the given class a closure?

    Definition Classes
      Inliners

24. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

25. #### def isMonadicMethod(sym: Global.Symbol): Boolean

    Definition Classes
      Inliners

26. #### val knownHasInline: Set[Global.Symbol]

    Definition Classes
      Inliners

27. #### val knownLacksInline: Set[Global.Symbol]

    Definition Classes
      Inliners

28. #### def lookupImplFor(sym: Global.Symbol, clazz: Global.Symbol): Global.Symbol

    Look up implementation of method 'sym in 'clazz'.

    Look up implementation of method 'sym in 'clazz'.

    Definition Classes
      Inliners

29. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

30. #### def newPhase(p: Phase): InliningPhase

    Create a new phase

    Create a new phase

    Definition Classes
      Inliners → SubComponent

31. #### final def notify(): Unit

    Definition Classes
      AnyRef

32. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

33. #### def ownPhase: Phase

    The phase corresponding to this subcomponent in the current compiler run

    The phase corresponding to this subcomponent in the current compiler run

    Definition Classes
      SubComponent

34. #### val phaseName: String

    The name of the phase

    The name of the phase

    Definition Classes
      Inliners → SubComponent

35. #### def phaseNewFlags: Long

    New flags defined by the phase which are not valid before

    New flags defined by the phase which are not valid before

    Definition Classes
      SubComponent

36. #### def phaseNextFlags: Long

    New flags defined by the phase which are not valid until immediately after it

    New flags defined by the phase which are not valid until immediately after it

    Definition Classes
      SubComponent

37. #### val requires: List[String]

    Names of phases required by this component.

    Names of phases required by this component. Default is `Nil`.

    Definition Classes
      SubComponent

38. #### val runsAfter: collection.immutable.List[String]

    Names of phases that must run before this phase.

    Names of phases that must run before this phase.

    Definition Classes
      inliner → SubComponent

39. #### val runsBefore: List[String]

    Names of phases that must run after this phase.

    Names of phases that must run after this phase. Default is `Nil`.

    Definition Classes
      SubComponent

40. #### val runsRightAfter: None.type

    Name of the phase that this phase must follow immediately.

    Name of the phase that this phase must follow immediately.

    Definition Classes
      inliner → SubComponent

41. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

42. #### val terminal: Boolean

    True if this phase runs after all other phases.

    True if this phase runs after all other phases. Usually, `terminal`.

    Definition Classes
      SubComponent

43. #### def toString(): String

    Definition Classes
      AnyRef → Any

44. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

45. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

46. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from Inliners

### Inherited from SubComponent

### Inherited from AnyRef

### Inherited from Any

### Ungrouped